package jp.mosp.workflow.dto;

public class OverTimeRequestDto extends CtOvertimeRequestDto {

	private static final long serialVersionUID = 1215263638749790025L;

	private String approverName 	= "";
	private String approvalStatus 	= "";

	/**
	 * コンストラクタ
	 */
	public OverTimeRequestDto(CtOvertimeRequestDto dto) {
		setVoucher(dto.getVoucher());
		setWorkflow(dto.getWorkflow());
		setKCode(dto.getKCode());
		setRequestDate(dto.getRequestDate());
		setWorkDate(dto.getWorkDate());
		setOverTime(dto.getOverTime());
		setReason(dto.getReason());
		setDeleteFlag(dto.getDeleteFlag());
	}

	// アクセサメソッド
	public String getApproverName() { return approverName; }
	public String getApprovalStatus() { return approvalStatus; }

	public void setApproverName(String approverName) { this.approverName = approverName; }
	public void setApprovalStatus(String approvalStatus) { this.approvalStatus = approvalStatus; }

}
